<?php

use Joomla\CMS\Task\AbstractTask;
use Joomla\CMS\Factory;
use Joomla\CMS\Log\Log;

class FetchResourceTask extends AbstractTask
{
    public function execute(): bool
    {
        Log::add("ResourceSpace Fetch Task Triggered", Log::INFO, 'cron');

        // Call your helper function to fetch media
        require_once JPATH_ADMINISTRATOR . '/components/com_resourcespace/helpers/resourcespace.php';
       // \ResourcespaceHelper::fetchMedia();

        return true;
    }

    public function getTitle(): string
    {
        return 'Fetch Media from ResourceSpace';
    }

    public function getDescription(): string
    {
        return 'This task fetches media from the ResourceSpace API and stores them in Joomla media.';
    }
}
